import { FormGroup } from '@angular/forms';
import { Row } from './row';
import { Column } from './column';
import { ValidatorService } from '../validator.service';
export declare class DataSet {
    protected columnSettings: Object;
    private validator;
    newRow: Row;
    newRowValidator: FormGroup;
    editRowValidators: FormGroup[];
    protected data: Array<any>;
    protected columns: Array<Column>;
    protected rows: Array<Row>;
    protected selectedRow: Row;
    protected willSelect: string;
    constructor(data: Array<any>, columnSettings: Object, validator: ValidatorService);
    addDefaultsToFormGroup(formGroup: FormGroup): FormGroup;
    createNewRowValidator(): void;
    createEditRowValidators(): void;
    setData(data: Array<any>): void;
    getColumns(): Array<Column>;
    getRows(): Array<Row>;
    getFirstRow(): Row;
    getLastRow(): Row;
    getRowValidator(index: number): FormGroup;
    findRowByData(data: any): Row;
    deselectAll(): void;
    selectRow(row: Row): Row;
    multipleSelectRow(row: Row): Row;
    selectPreviousRow(): Row;
    selectFirstRow(): Row;
    selectLastRow(): Row;
    willSelectFirstRow(): void;
    willSelectLastRow(): void;
    select(): Row;
    addInsertedRowValidator(): void;
    createNewRow(): void;
    /**
     * Create columns by mapping from the settings
     * @param settings
     * @private
     */
    createColumns(settings: any): void;
    /**
     * Create rows based on current data prepared in data source
     * @private
     */
    createRows(): void;
}
